Bug 1024350 - SELinux is preventing /usr/libexec/postfix/local from 'write' accesses on the directory /root.
SELinux is preventing /usr/libexec/postfix/local from 'write' accesses on the...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2a3ec90d54760dfc5ef70a44971...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 09:17 EDT by Jeff MacDonald
Modified: 2014-02-05 17:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:30:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff MacDonald 2013-10-29 09:17:27 EDT
Description of problem:
SELinux is preventing /usr/libexec/postfix/local from 'write' accesses on the directory /root.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that local should be allowed write access on the root directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep local /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:postfix_local_t:s0
Target Context                system_u:object_r:admin_home_t:s0
Target Objects                /root [ dir ]
Source                        local
Source Path                   /usr/libexec/postfix/local
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           postfix-2.9.7-1.fc18.i686
Target RPM Packages           filesystem-3.1-2.fc18.i686
Policy RPM                    selinux-policy-3.11.1-106.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.4-101.fc18.i686 #1 SMP Thu
                              Oct 10 14:33:33 UTC 2013 i686 i686
Alert Count                   7
First Seen                    2013-10-29 05:03:25 EDT
Last Seen                     2013-10-29 08:41:02 EDT
Local ID                      70587dd5-4850-448a-b182-966e55ce552b

Raw Audit Messages
type=AVC msg=audit(1383050462.29:49651): avc:  denied  { write } for  pid=28322 comm="local" name="root" dev="dm-1" ino=1703937 scontext=system_u:system_r:postfix_local_t:s0 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir


type=SYSCALL msg=audit(1383050462.29:49651): arch=i386 syscall=mkdir success=no exit=EACCES a0=b7d0a500 a1=1c0 a2=b77eda80 a3=b7d0a50d items=0 ppid=1466 pid=28322 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=local exe=/usr/libexec/postfix/local subj=system_u:system_r:postfix_local_t:s0 key=(null)

Hash: local,postfix_local_t,admin_home_t,dir,write

audit2allow

#============= postfix_local_t ==============
allow postfix_local_t admin_home_t:dir write;

audit2allow -R
require {
	type postfix_local_t;
}

#============= postfix_local_t ==============
auth_filetrans_admin_home_content(postfix_local_t)


Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.4-101.fc18.i686
type:           libreport
Comment 1 Fedora End Of Life 2013-12-21 09:43:15 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:30:54 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.